package com.gh.common.view

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.TextView
import androidx.constraintlayout.widget.ConstraintLayout
import com.airbnb.lottie.LottieAnimationView
import com.gh.gamecenter.R
import com.lightgame.view.CheckableImageView

class SimpleToggleView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : ConstraintLayout(context, attrs, defStyleAttr) {

    val switchIv by lazy { findViewById<CheckableImageView>(R.id.switchIv) }
    val hintTv by lazy { findViewById<TextView>(R.id.hintTv) }
    val lottieView by lazy { findViewById<LottieAnimationView>(R.id.lottieView) }

    init {
        View.inflate(context, R.layout.view_simple_toggle, this)
    }

}